/*
 * Auth: Dan Quinlan
 *       Los Alamos National Labs
 * Desc: Functions added to free memory after using PARTI 
 *       as a means of tracing memory leaks in software using 
 *       PARTI.
 */

#ifndef ADDITION_H
#define ADDITION_H

#include "bsparti.h"

void cleanup_after_PARTI();
void delete_XDARRAY(struct dArray_rec*);
void delete_DARRAY(DARRAY*);
void delete_SCHED(SCHED*);
void delete_XDECOMP(struct decomp_rec*);
void delete_DECOMP(DECOMP*);
void delete_VPROC(VPROC*);

#endif /* ADDITION_H */
