/*
 * Auth: Alan Sussman (als@cs.umd.edu)
 *       University of Maryland, College Park
 * Desc:
 */

#ifndef UTILS_H
#define UTILS_H

#include <stdlib.h>

int greatest_prime_factor(int);

#if PARTI_DEBUG > 2
void* pmalloc(char*, size_t);
void pfree(char*, size_t, void*);
void pcheck();
#else
#define pmalloc(o,s) malloc(s)
#define pfree(o,s,p) free(p)
#define pcheck()     NULL
#define pdebug()     NULL
#endif

#endif /* UTILS_H */
