c
c     main
c
      program driver
      implicit none
      include 'mpif.h'
      include 'fbsparti.h'
      include 'ftest.h'
      
      integer GROUPCOMM
      integer p, r, ierror

c     initialize MPI
      call MPI_INIT(ierror)
      call MPI_COMM_DUP(MPI_COMM_WORLD, GROUPCOMM, ierror)
      call MPI_COMM_SIZE(GROUPCOMM, p, ierror)

      r = TIDCNT
      if (p .LT. r) then
         print *, 'need', r, ' tasks'
         stop
      end if

      call MPI_BARRIER(GROUPCOMM, ierror)

c     initialize MBP
      call partisetup(GROUPCOMM)
      
c     run tests
      call MPI_COMM_RANK(GROUPCOMM, r, ierror)
      call partitest(p, r)
       
c     clean up
      call particleanup
      call MPI_BARRIER(GROUPCOMM, ierror)
      call MPI_COMM_FREE(GROUPCOMM, ierror)
      call MPI_FINALIZE(ierror)
      end
