c
c Auth: Alan Sussman (als@cs.umd.edu)
c       University of Maryland, College Park
c Desc:
c

      integer ifsection
      external ifsection
      integer ifpartition
      external ifpartition

c     Aligns the given array to given decomposition 
      integer ifalign
      external ifalign
c 
      integer iflalbnd
      external iflalbnd
c
      integer iflaubnd
      external iflaubnd
c     Creates schedule to fill in ghost cells
      integer ifghostfill_sched
      external ifghostfill_sched
c     Creates schedule to fill in all ghost cells related to the fill vector
      integer ifghostfillspan_sched
      external ifghostfillspan_sched
c     Creates schedule to fill in all ghost cells for the darray pointed to by ptr
      integer ifghostfillall_sched
      external ifghostfillall_sched
c     Creates schedule to fill in ghost cells
      integer ifexch_sched
      external ifexch_sched
c     Constructs a schedule describing data motion for copying 
c     a subarray from source into a subarray of destination
      integer ifsubarray_sched
      external ifsubarray_sched
c     For the array pointed to by ptr determine in global terms the
c     index of the first value in dimension "dim" stored in the
c     current processor
      integer ifglbnd
      external ifglbnd
c     For the array pointed to by ptr determine in global terms the
c     index of the last value in dimension "dim" stored in the
c     current processor
      integer ifgubnd
      external ifgubnd
c     For the array pointed to by ptr and the global index "index" in
c     dimension "dim", returns the corresponding local index value
      integer ifglobal_to_local
      external ifglobal_to_local
c     For the array pointed to by ptr and the global index "index" in
c     dimension "dim", returns the corresponding local index value,
c     including internal ghost cells
      integer ifglobal_to_local_with_ghost
      external ifglobal_to_local_with_ghost
c     For the array pointed to by ptr and the local index "index" in
c     dimension "dim", returns the corresponding global "index" value
      integer iflocal_to_global
      external iflocal_to_global
c     For the array pointed to by ptr and the local index "index" in
c     dimension "dim", returns the corresponding global "index" value,
c     including internal ghost cells
      integer iflocal_to_global_with_ghost
      external iflocal_to_global_with_ghost
      
